Page MenuHomePhabricator

[OPS] Upgrade Jenkins Debian Glue from 0.8.1 to 0.10.0
Closed, ResolvedPublic

Description

Keeping up with upstream release of Jenkins Debian Glue. We have our own repo operations/debs/jenkins-debian-glue.git

Would need 0.10.0 package to be build for both Ubuntu Precise and Trusty.


Version: wmf-deployment
Severity: normal
See Also:
https://rt.wikimedia.org/Ticket/Display.html?id=8055
https://rt.wikimedia.org/Ticket/Display.html?id=8084

Details

Reference
bz68995

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:27 AM
bzimport set Reference to bz68995.
hashar created this task.Aug 1 2014, 9:10 AM

Change 151042 had a related patch set uploaded by Hashar:
Merge tag 'v0.10.0' into gerrit-master

https://gerrit.wikimedia.org/r/151042

Change 151042 merged by Alexandros Kosiaris:
Merge tag 'v0.10.0' into gerrit-master

https://gerrit.wikimedia.org/r/151042

tomasz added a comment.Aug 5 2014, 7:36 PM

RT #8055 is marked as resolved, therefore marking this bug as RESOLVED FIXED as well.

hashar added a comment.Aug 6 2014, 2:11 PM

Debian Glue does not install properly on Ubuntu Precise because 0.10.0 depends on the package 'parallel'. It is in precise-backports, and I have filled https://rt.wikimedia.org/Ticket/Display.html?id=8084 to have the package pushed to apt.wikimedia.org.

I also need Debian Glue on Trusty and reopened https://rt.wikimedia.org/Ticket/Display.html?id=8055

hashar added a comment.Aug 6 2014, 7:46 PM

Alexandros fixed both RT. Ie backport parallel and upload the jenkins-debian-glue packages for both Precise and Trusty.

I have confirmed all Jenkins slaves are up to date and happy.

Thank you Alexandros!